## libcitygml 0.1.3+r121

=== src/CMakeLists.txt ===
IF ( LIBCITYGML_USE_XERCESC )
	FIND_PACKAGE( Xerces REQUIRED )
	ADD_DEFINITIONS( -DUSE_XERCESC )
	SET( LIBXML2_INCLUDE_DIR "" )
	SET( LIBXML2_LIBRARIES "" )
ENDIF( LIBCITYGML_USE_XERCESC )

IF( LIBCITYGML_USE_LIBXML2 )
	FIND_PACKAGE( LibXml2 REQUIRED )
	FIND_PACKAGE( Iconv REQUIRED )
	ADD_DEFINITIONS( -DUSE_LIBXML2 )
	ADD_DEFINITIONS( ${LIBXML2_DEFINITIONS} )
	SET( XERCESC_INCLUDE "" )
	SET( XERCESC_LIBRARY "" )
ENDIF( LIBCITYGML_USE_LIBXML2 )
	
IF( LIBCITYGML_USE_GDAL )
	FIND_PACKAGE( GDAL REQUIRED )
	ADD_DEFINITIONS( -DUSE_GDAL )
ELSE( LIBCITYGML_USE_GDAL )
	SET( GDAL_INCLUDE_DIR "" )
	SET( GDAL_LIBRARY "" )
ENDIF( LIBCITYGML_USE_GDAL )

FIND_PACKAGE( OpenGL REQUIRED )
#FIND_PACKAGE( GLU REQUIRED ) # deprecated, GLU is now found with FindOpenGL

IF( COMMAND cmake_policy )
	cmake_policy( SET CMP0003 NEW )
ENDIF( COMMAND cmake_policy )
	
ADD_DEFINITIONS( -DCITYGML_LIBRARY )

ADD_DEFINITIONS( -DLIBCITYGML_BUILD )

IF( LIBCITYGML_STATIC )
	ADD_DEFINITIONS( -DLIBCITYGML_STATIC )
ENDIF( LIBCITYGML_STATIC )

IF( LIBCITYGML_DYNAMIC )
	ADD_DEFINITIONS( -DLIBCITYGML_DYNAMIC )
ENDIF( LIBCITYGML_DYNAMIC )

IF( MSVC AND LIBCITYGML_STATIC_CRT )
	#We statically link to reduce dependancies
	FOREACH( flag_var CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO )
		IF( ${flag_var} MATCHES "/MD" )
			string( REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}" )
		ENDIF( ${flag_var} MATCHES "/MD" )
		IF( ${flag_var} MATCHES "/MDd" )
			string( REGEX REPLACE "/MDd" "/MTd" ${flag_var} "${${flag_var}}" )
		ENDIF( ${flag_var} MATCHES "/MDd" )
	ENDFOREACH( flag_var )
ENDIF( MSVC AND LIBCITYGML_STATIC_CRT )

SET( LIB_NAME citygml )

INCLUDE_DIRECTORIES( ../include ${XERCESC_INCLUDE} ${LIBXML2_INCLUDE_DIR} ${ICONV_INCLUDE_DIR} ${GLU_INCLUDE_PATH} ${GDAL_INCLUDE_DIR} )

SET( LIB_SRCS
	citymodel.cpp
	parser.cpp
	parserxercesc.cpp
	parserlibxml2.cpp
	tesselator.cpp
)

SET( LIB_PUBLIC_HEADERS
	../include/citygml.h
	../include/vecs.h
	./parser.h
	./transform.h
	./tesselator.h
	./utils.h
)

ADD_LIBRARY( ${LIB_NAME} ${LIBCITYGML_USER_DEFINED_DYNAMIC_OR_STATIC} ${LIB_SRCS} ${LIB_PUBLIC_HEADERS} )

TARGET_LINK_LIBRARIES( ${LIB_NAME} ${XERCESC_LIBRARY} ${LIBXML2_LIBRARIES} ${OPENGL_LIBRARIES} ${GDAL_LIBRARY} )

# IF( MSVC_IDE )
	# SET_TARGET_PROPERTIES( ${LIB_NAME} PROPERTIES PREFIX "../" )
# ENDIF( MSVC_IDE )

INCLUDE(ModuleInstall OPTIONAL)

=== debian/changelog ===
libcitygml (0.1.3+r121-1+3p0p1build1) precise; urgency=low

  * No-change rebuild for openscenegraph 3.0.1.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 13 Nov 2011 16:18:21 +0400

libcitygml (0.1.3+r121-1+3p0p1) unstable; urgency=low

  * new svn commit r121.
  * build dep : libgdal1-dev -> libgdal-dev
  * build with new libdap (3.11.1) and openscenegraph (3.0.1)

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 09 Sep 2011 19:03:49 +0800

libcitygml (0.1.3+r114-2+3p0p0) unstable; urgency=low

  * Rebuild to work with openscenegraph 3.0.0.
       - libopenscenegraph80.
       - If the version is -1+3.0.0, lintian warning about it.
            so dot -> p.
       - Read README.Debian for Version Policy.
  * fix manpages.
       - manpage-has-useless-whatis-entry
       - remove some useless infomation: see also info.
         remove some invaild part: caused by format error.

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 08 Jul 2011 06:58:42 +0800

libcitygml (0.1.3+r114-1) unstable; urgency=low

  * Initial release (Closes: #622968)

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 16 Apr 2011 20:17:16 +0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_clean:
	dh_auto_clean
	-rm -rf obj-*-*

override_dh_gencontrol:
	sh debian/gencontrol

## libcitygml 0.14+svn128

=== CMakeLists.txt ===

IF(WIN32)
    CMAKE_MINIMUM_REQUIRED(VERSION 2.8.2 FATAL_ERROR)
ELSE(WIN32)
    IF(APPLE)
        CMAKE_MINIMUM_REQUIRED(VERSION 2.4.6 FATAL_ERROR)
        IF(${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} EQUAL 4 AND ${CMAKE_PATCH_VERSION} LESS 7)
            MESSAGE("Warning: A critical CMake bug exists in 2.4.6 and below. Trying to build Universal Binaries will result in a compile error that seems unrelated. Either avoid building Universal Binaries by changing the CMAKE_OSX_ARCHITECTURES field to list only your architecture, or upgrade to the current CVS version of CMake or a newer stable version if it exists.")
        ENDIF(${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} EQUAL 4 AND ${CMAKE_PATCH_VERSION} LESS 7)
    ELSE(APPLE)
        CMAKE_MINIMUM_REQUIRED(VERSION 2.4.0 FATAL_ERROR)
    ENDIF(APPLE)
ENDIF(WIN32)

PROJECT ( libcitygml )

SET( CMAKE_MODULE_PATH "${libcitygml_SOURCE_DIR}/CMakeModules/;${CMAKE_MODULE_PATH}" )

IF(WIN32)

    IF(MSVC)
        # This option is to enable the /MP switch for Visual Studio 2005 and above compilers
        OPTION(WIN32_USE_MP "Set to ON to build libcitygml with the /MP option (Visual Studio 2005 and above)." OFF)
        MARK_AS_ADVANCED(WIN32_USE_MP)
        IF(WIN32_USE_MP)
            SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
        ENDIF(WIN32_USE_MP)

        # More MSVC specific compilation flags
        ADD_DEFINITIONS(-D_SCL_SECURE_NO_WARNINGS)
        ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
    ENDIF(MSVC)

    # Both Cygwin and Msys need -DNOMINMAX ???
    IF(UNIX)
        ADD_DEFINITIONS(-DNOMINMAX)
    ENDIF(UNIX)
########################################################################################################
# the foolowing options are MSVC specific,
# the first OSG_MSVC_VERSIONED_DLL activate a custom build-time layout that should allow to run examples and application
# fron bin folder without requiring installation step.
# it also prepend "osg${OPENSCENEGRAPH_SOVERSION}-" to only .dll files, leaving .lib files untouched in lib
# it also use a hack to get rid of Debug and Release folder in MSVC projects
# all the .dll and .pdb are in bin and all the .lib and .exp are in lib
#
# the second option disable incremental linking in debug build , that is enabled by default by CMake
##########################################################################################################

    IF(MSVC)
        # IF(${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} EQUAL 4 AND ${CMAKE_PATCH_VERSION} LESS 7)
            # MESSAGE("Warning:  disabling versioned options 2.4.6 exibits inconsintencies in .pdb naming, at least under MSVC, suggested upgrading at least to 2.4.7")
            # SET(OSG_MSVC_VERSIONED_DLL OFF)
            # SET(OSG_MSVC_DEBUG_INCREMENTAL_LINK ON)
        # ELSE(${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} EQUAL 4 AND ${CMAKE_PATCH_VERSION} LESS 7)
            OPTION(LIBCITYGML_MSVC_VERSIONED_DLL "Set to ON to build libcitygml with versioned dll names" ON)
            MARK_AS_ADVANCED(LIBCITYGML_MSVC_VERSIONED_DLL)
            OPTION(LIBCITYGML_MSVC_DEBUG_INCREMENTAL_LINK "Set to OFF to build libcitygml without incremental linking in debug (release is off by default)" ON)
            MARK_AS_ADVANCED(LIBCITYGML_MSVC_DEBUG_INCREMENTAL_LINK)
            IF(NOT LIBCITYGML_MSVC_DEBUG_INCREMENTAL_LINK)
                SET(CMAKE_MODULE_LINKER_FLAGS_DEBUG "/debug /INCREMENTAL:NO")
                SET(CMAKE_SHARED_LINKER_FLAGS_DEBUG "/debug /INCREMENTAL:NO")
                SET(CMAKE_EXE_LINKER_FLAGS_DEBUG "/debug /INCREMENTAL:NO")
            ENDIF(NOT LIBCITYGML_MSVC_DEBUG_INCREMENTAL_LINK)
        # ENDIF(${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} EQUAL 4 AND ${CMAKE_PATCH_VERSION} LESS 7)
    ENDIF(MSVC)
ENDIF(WIN32)

IF(MSVC_IDE)
	# From CMake 2.8.2, new way to manage output generation dirs !
    # SET_TARGET_PROPERTIES(${LIB_NAME} PROPERTIES PREFIX "../")
    SET( CMAKE_RUNTIME_OUTPUT_DIRECTORY_RELEASE ${PROJECT_BINARY_DIR}/bin)
    SET( CMAKE_RUNTIME_OUTPUT_DIRECTORY_DEBUG ${PROJECT_BINARY_DIR}/bin)
    
    SET( CMAKE_ARCHIVE_OUTPUT_DIRECTORY_RELEASE ${PROJECT_BINARY_DIR}/lib)
    SET( CMAKE_ARCHIVE_OUTPUT_DIRECTORY_DEBUG ${PROJECT_BINARY_DIR}/lib)
    
    SET( CMAKE_LIBRARY_OUTPUT_DIRECTORY_RELEASE ${PROJECT_BINARY_DIR}/bin)
    SET( CMAKE_LIBRARY_OUTPUT_DIRECTORY_DEBUG ${PROJECT_BINARY_DIR}/bin) 
ENDIF(MSVC_IDE)

SET(CMAKE_DEBUG_POSTFIX  "d")

# Dynamic vs Static Linking
OPTION(LIBCITYGML_DYNAMIC "Set to ON to build libcitygml for dynamic linking.  Use OFF for static." OFF)
IF   (LIBCITYGML_DYNAMIC)
    SET(LIBCITYGML_USER_DEFINED_DYNAMIC_OR_STATIC "SHARED")
ELSE (LIBCITYGML_DYNAMIC)
    SET(LIBCITYGML_USER_DEFINED_DYNAMIC_OR_STATIC "STATIC")
ENDIF(LIBCITYGML_DYNAMIC)

SET(OUTPUT_BINDIR ${PROJECT_BINARY_DIR}/bin)
MAKE_DIRECTORY(${OUTPUT_BINDIR})
SET(EXECUTABLE_OUTPUT_PATH ${OUTPUT_BINDIR})

SET(OUTPUT_LIBDIR ${PROJECT_BINARY_DIR}/lib)
MAKE_DIRECTORY(${OUTPUT_LIBDIR})
SET(LIBRARY_OUTPUT_PATH ${OUTPUT_LIBDIR})

# IF( DEBUG_BUILD )
  # SET( CMAKE_BUILD_TYPE "Debug" )
# ELSE( DEBUG_BUILD )
  # SET( CMAKE_BUILD_TYPE "Release" )
# ENDIF( DEBUG_BUILD )

OPTION(LIBCITYGML_STATIC_CRT "Set to ON to link libcitygml with the multithread CRT static library (instead of DLL)." ON)

# xml library
OPTION(LIBCITYGML_USE_XERCESC "Set to ON to build libcitygml with Xerces-c library." ON)
OPTION(LIBCITYGML_USE_LIBXML2 "Set to ON to build libcitygml with LibXml2 library." OFF)

# gdal library
OPTION(LIBCITYGML_USE_GDAL "Set to ON to build libcitygml with GDAL library and support coordinates reprojections." OFF)

IF ( LIBCITYGML_USE_XERCESC )
	IF( LIBCITYGML_USE_LIBXML2 )
		MESSAGE("Error: You cannot build the library with Xerces-c AND LibXml2! Xerces library will be used by default.")
		UNSET( LIBCITYGML_USE_LIBXML2 )
	ENDIF( LIBCITYGML_USE_LIBXML2 )
ENDIF( LIBCITYGML_USE_XERCESC )

# core
ADD_SUBDIRECTORY( src )

# test
OPTION(LIBCITYGML_TESTS "Set to ON to build libcitygml tests programs." ON)
IF   (LIBCITYGML_TESTS)
	ADD_SUBDIRECTORY( test )
ENDIF(LIBCITYGML_TESTS)

OPTION(LIBCITYGML_VRML "Set to ON to build citygml2vrml program." ON)
IF   (LIBCITYGML_VRML)
	ADD_SUBDIRECTORY( test/citygml2vrml )
ENDIF(LIBCITYGML_VRML)

#-----------------------------------------------------------------------------
### uninstall target
#-----------------------------------------------------------------------------
CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/CMakeModules/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)
ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -76,7 +76,7 @@
 
 ADD_LIBRARY( ${LIB_NAME} ${LIBCITYGML_USER_DEFINED_DYNAMIC_OR_STATIC} ${LIB_SRCS} ${LIB_PUBLIC_HEADERS} )
 
-TARGET_LINK_LIBRARIES( ${LIB_NAME} ${XERCESC_LIBRARY} ${LIBXML2_LIBRARIES} ${OPENGL_LIBRARIES} ${GDAL_LIBRARY} )
+TARGET_LINK_LIBRARIES( ${LIB_NAME} ${XERCESC_LIBRARIES} ${LIBXML2_LIBRARIES} ${OPENGL_LIBRARIES} ${GDAL_LIBRARY} )
 
 # IF( MSVC_IDE )
 	# SET_TARGET_PROPERTIES( ${LIB_NAME} PROPERTIES PREFIX "../" )

=== test/CMakeLists.txt ===
IF(WIN32)
    SET(CMAKE_SHARED_LINKER_FLAGS_DEBUG "${CMAKE_SHARED_LINKER_FLAGS_DEBUG} /NODEFAULTLIB:MSVCRT")
ENDIF()

IF( LIBCITYGML_USE_XERCESC )
	FIND_PACKAGE( Xerces REQUIRED )
	ADD_DEFINITIONS( -DUSE_XERCESC )
	SET( LIBXML2_INCLUDE_DIR "" )
	SET( LIBXML2_LIBRARIES "" )
ENDIF( LIBCITYGML_USE_XERCESC )

IF( LIBCITYGML_USE_LIBXML2 )
	FIND_PACKAGE( LibXml2 REQUIRED )
	ADD_DEFINITIONS( -DUSE_LIBXML2 )
	ADD_DEFINITIONS( ${LIBXML2_DEFINITIONS} )
	SET( XERCESC_INCLUDE "" )
	SET( XERCESC_LIBRARY "" )
ENDIF( LIBCITYGML_USE_LIBXML2 )

FIND_PACKAGE( OpenGL REQUIRED )
#FIND_PACKAGE( GLU REQUIRED ) # deprecated, GLU is now found with FindOpenGL

IF( COMMAND cmake_policy )
	cmake_policy( SET CMP0003 NEW )
ENDIF( COMMAND cmake_policy )

IF( LIBCITYGML_STATIC )
	ADD_DEFINITIONS( -DLIBCITYGML_STATIC )
ENDIF( LIBCITYGML_STATIC )

IF( LIBCITYGML_DYNAMIC )
	ADD_DEFINITIONS( -DLIBCITYGML_DYNAMIC )
ENDIF( LIBCITYGML_DYNAMIC )

IF( MSVC AND LIBCITYGML_STATIC_CRT )
	#We statically link to reduce dependancies
	FOREACH( flag_var CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO )
		IF( ${flag_var} MATCHES "/MD" )
			string( REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}" )
		ENDIF( ${flag_var} MATCHES "/MD" )
		IF( ${flag_var} MATCHES "/MDd" )
			string( REGEX REPLACE "/MDd" "/MTd" ${flag_var} "${${flag_var}}" )
		ENDIF( ${flag_var} MATCHES "/MDd" )
	ENDFOREACH( flag_var )
ENDIF( MSVC AND LIBCITYGML_STATIC_CRT )

# INCLUDE_DIRECTORIES( ${CITYGML_INCLUDE_DIR} )
INCLUDE_DIRECTORIES( ../include )

SET( PRG_SRCS citygmltest.cpp )

ADD_EXECUTABLE( citygmltest ${PRG_SRCS} )

# IF( MSVC_IDE )
	# SET_TARGET_PROPERTIES( citygmltest PROPERTIES PREFIX "../" )
# ENDIF( MSVC_IDE )

TARGET_LINK_LIBRARIES( citygmltest citygml ${XERCESC_LIBRARY} ${LIBXML2_LIBRARIES} ${OPENGL_LIBRARIES} )

=== test/citygml2vrml/CMakeLists.txt ===
IF(WIN32)
    SET(CMAKE_SHARED_LINKER_FLAGS_DEBUG "${CMAKE_SHARED_LINKER_FLAGS_DEBUG} /NODEFAULTLIB:MSVCRT")
ENDIF()

IF( LIBCITYGML_USE_XERCESC )
	FIND_PACKAGE( Xerces REQUIRED )
	ADD_DEFINITIONS( -DUSE_XERCESC )
	SET( LIBXML2_INCLUDE_DIR "" )
	SET( LIBXML2_LIBRARIES "" )
ENDIF( LIBCITYGML_USE_XERCESC )

IF( LIBCITYGML_USE_LIBXML2 )
	FIND_PACKAGE( LibXml2 REQUIRED )
	ADD_DEFINITIONS( -DUSE_LIBXML2 )
	ADD_DEFINITIONS( ${LIBXML2_DEFINITIONS} )
	SET( XERCESC_INCLUDE "" )
	SET( XERCESC_LIBRARY "" )
ENDIF( LIBCITYGML_USE_LIBXML2 )

FIND_PACKAGE( OpenGL REQUIRED )
#FIND_PACKAGE( GLU REQUIRED ) # deprecated, GLU is now found with FindOpenGL

IF( COMMAND cmake_policy )
	cmake_policy( SET CMP0003 NEW )
ENDIF( COMMAND cmake_policy )

IF( LIBCITYGML_STATIC )
	ADD_DEFINITIONS( -DLIBCITYGML_STATIC )
ENDIF( LIBCITYGML_STATIC )

IF( LIBCITYGML_DYNAMIC )
	ADD_DEFINITIONS( -DLIBCITYGML_DYNAMIC )
ENDIF( LIBCITYGML_DYNAMIC )

IF( MSVC AND LIBCITYGML_STATIC_CRT )
	#We statically link to reduce dependancies
	FOREACH( flag_var CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO )
		IF( ${flag_var} MATCHES "/MD" )
			string( REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}" )
		ENDIF( ${flag_var} MATCHES "/MD" )
		IF( ${flag_var} MATCHES "/MDd" )
			string( REGEX REPLACE "/MDd" "/MTd" ${flag_var} "${${flag_var}}" )
		ENDIF( ${flag_var} MATCHES "/MDd" )
	ENDFOREACH( flag_var )
ENDIF( MSVC AND LIBCITYGML_STATIC_CRT )

INCLUDE_DIRECTORIES( ../../include )

SET( PRG_SRCS citygml2vrml.cpp )

ADD_EXECUTABLE( citygml2vrml ${PRG_SRCS} )

IF( MSVC_IDE )
	# SET_TARGET_PROPERTIES( citygml2vrml PROPERTIES PREFIX "../" )
	SET_TARGET_PROPERTIES( citygml2vrml PROPERTIES LINK_FLAGS "" )
ENDIF( MSVC_IDE )

TARGET_LINK_LIBRARIES( citygml2vrml citygml ${XERCESC_LIBRARY} ${LIBXML2_LIBRARIES} ${OPENGL_LIBRARIES} )

=== test/osgplugin/CMakeLists.txt ===
FIND_PACKAGE( CityGML REQUIRED )

INCLUDE_DIRECTORIES( ${OSG_INCLUDE_DIRS} ${CITYGML_INCLUDE_DIR} )

SET( TARGET_SRC ReaderWriterCityGML.cpp )

SET( TARGET_ADDED_LIBRARIES osgText )
SET( TARGET_LIBRARIES_VARS CITYGML_LIBRARY XERCESC_LIBRARY LIBXML2_LIBRARY OPENGL_glu_LIBRARY )

SETUP_PLUGIN( citygml )

=== debian/changelog ===
libcitygml (0.14+svn128-1+3p0p1+4.1) unstable; urgency=medium

  * Non-maintainer upload.  (Closes: #718385)

  [ Peter Michael Green ]
  * Make code in debian/gencontrol handle releasecandidate version of
    openscenegraph correctly. (Closes: #719396)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 25 Jan 2014 14:56:58 +0100

libcitygml (0.14+svn128-1+3p0p1+4) unstable; urgency=low

  [Sebastian Ramacher]
  * debian/patches/rewrite_cmake.diff: Remove extra $prefix from
    openscenegraph plugin location. (Closes: #699253).
  * debian/control: Bump libopenscenegraph-dev Build-Depends 
    to >= 3.0.1-4~ since the pkg-config output used to determine 
    the plugin location was fixed in 3.0.1-4.

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 02 Feb 2013 00:16:27 +0800

libcitygml (0.14+svn128-1+3p0p1) unstable; urgency=low

  * New Upstream snapshot 0.14+svn128
  * Convert it to multiarch.

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 13 Jun 2012 01:38:09 +0800

=== debian/control ===
Source: libcitygml
Priority: optional
Maintainer: YunQiang Su <wzssyqa@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), cmake (>= 2.6.3), libxml2-dev, 
       libgdal-dev, libopenscenegraph-dev (>= 3.0.1-4~)
Standards-Version: 3.9.3
Section: libs
Homepage: http://code.google.com/p/libcitygml
Vcs-Git: git://git.debian.org/pkg-grass/libcitygml.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/libcitygml.git

Package: libcitygml0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Open source C++ library for parsing CityGML files
 libcitygml is a small and easy to use open source C++ library for parsing 
 CityGML files in such a way that data can be easily exploited by 3D 
 rendering applications (geometry data are tesselated and optimized for
 rendering during parsing). For instance, it can be used to develop readers 
 of CityGML files in many 3D based applications (OpenGL, OpenSceneGraph, ...) 
 Most metadata are not lost, they are available through a per-node hashmap.
 .
 CityGML (City Geography Markup Language) is an XML-based schema for the 
 modelling and exchange of georeferenced 3D city and landscape models that 
 is quickly being adopted on an international level.
 .
 This package contains share library.

Package: libcitygml0-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends} ,libcitygml0 (= ${binary:Version})
Multi-Arch: same
Description: Static and header files of libcitygml
 libcitygml is a small and easy to use open source C++ library for parsing 
 CityGML files in such a way that data can be easily exploited by 3D 
 rendering applications (geometry data are tesselated and optimized for
 rendering during parsing). For instance, it can be used to develop readers 
 of CityGML files in many 3D based applications (OpenGL, OpenSceneGraph, ...) 
 Most metadata are not lost, they are available through a per-node hashmap.
 .
 CityGML (City Geography Markup Language) is an XML-based schema for the 
 modelling and exchange of georeferenced 3D city and landscape models that 
 is quickly being adopted on an international level.
 .
 This package contains develop files: static and header files of libcitygml.

Package: libcitygml0-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcitygml0 (= ${binary:Version})
Description: Utils of libcitygml - citygml2vrml and citygmltest
 libcitygml is a small and easy to use open source C++ library for parsing 
 CityGML files in such a way that data can be easily exploited by 3D 
 rendering applications (geometry data are tesselated and optimized for
 rendering during parsing). For instance, it can be used to develop readers 
 of CityGML files in many 3D based applications (OpenGL, OpenSceneGraph, ...) 
 Most metadata are not lost, they are available through a per-node hashmap.
 .
 CityGML (City Geography Markup Language) is an XML-based schema for the 
 modelling and exchange of georeferenced 3D city and landscape models that 
 is quickly being adopted on an international level.
 .
 This package contains citygml2vrml and citygmltest.

Package: openscenegraph-plugin-citygml-shared
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcitygml0 (= ${binary:Version}),
	 ${libosg-share}
Description: libcitygml OpenSceneGraph plugin (shared version)
 libcitygml is a small and easy to use open source C++ library for parsing 
 CityGML files in such a way that data can be easily exploited by 3D 
 rendering applications (geometry data are tesselated and optimized for
 rendering during parsing). For instance, it can be used to develop readers 
 of CityGML files in many 3D based applications (OpenGL, OpenSceneGraph, ...) 
 Most metadata are not lost, they are available through a per-node hashmap.
 .
 CityGML (City Geography Markup Language) is an XML-based schema for the 
 modelling and exchange of georeferenced 3D city and landscape models that 
 is quickly being adopted on an international level.
 .
 This package contains OpenSceneGraph plugin (.so version).
 
Package: openscenegraph-plugin-citygml-static
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcitygml0 (= ${binary:Version}),
	 ${libosg-static}
Description: libcitygml OpenSceneGraph plugin (static version)
 libcitygml is a small and easy to use open source C++ library for parsing 
 CityGML files in such a way that data can be easily exploited by 3D 
 rendering applications (geometry data are tesselated and optimized for
 rendering during parsing). For instance, it can be used to develop readers 
 of CityGML files in many 3D based applications (OpenGL, OpenSceneGraph, ...) 
 Most metadata are not lost, they are available through a per-node hashmap.
 .
 CityGML (City Geography Markup Language) is an XML-based schema for the 
 modelling and exchange of georeferenced 3D city and landscape models that 
 is quickly being adopted on an international level.
 .
 This package contains OpenSceneGraph plugin (.a version).

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@ 

override_dh_auto_clean:
	dh_auto_clean
	-rm -rf obj-*-*

override_dh_gencontrol:
	sh debian/gencontrol

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=3
http://googlecode.debian.net/p/libcitygml/libcitygml\.([0-9]\.[0-9]\.[0-9])\.zip

## libcitygml 0.14+svn134

=== debian/changelog ===
libcitygml (0.14+svn134-2+3p2p1) unstable; urgency=medium

  * Team upload.
  * Tweak OpenSceneGraph version detection in gencontrol script.
    Fixes FTBFS on kfreebsd-*.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 28 Sep 2014 00:44:08 +0200

libcitygml (0.14+svn134-1+3p2p1) unstable; urgency=medium

  * Team upload.
  * Apply patch from Jonathan Wiltshire to fix FTBFS with OpenSceneGraph 3.2.1.
    (closes: #763047)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 27 Sep 2014 16:39:53 +0200

libcitygml (0.14+svn134-1+3p2p0) unstable; urgency=low

  * Team upload.
  * Make Debian GIS Project Maintainer and YunQiang Su Uploader.
  * Drop obsolete DM-Upload-Allowed, permissions are granted in dak.
  * Use canonical URLs for Vcs-* fields.
  * Use copyright-format 1.0 instead of dep5 URL.
  * Fix libopenscenegraph version detection.
  * Fix 'information' typo in manpage, add patch to fix the typo in the code.
  * Update watch file for Subversion revisions.
  * Update to latest upstream Subversion revision.
  * Add symbols file using pkgkde-symbolshelper.
  * Bump Standards-Version to 3.9.5, changes: DM-Upload-Allowed, Vcs-* fields,
    copyright format, symbols file.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 31 Jan 2014 23:18:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,25 @@
 Source: libcitygml
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Uploaders: YunQiang Su <wzssyqa@gmail.com>
+Section: libs
 Priority: optional
-Maintainer: YunQiang Su <wzssyqa@gmail.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), cmake (>= 2.6.3), libxml2-dev, 
-       libgdal-dev, libopenscenegraph-dev (>= 3.0.1-4~)
-Standards-Version: 3.9.3
-Section: libs
+Build-Depends: debhelper (>= 9),
+               cmake,
+               libxml2-dev,
+               libgdal-dev,
+               libopenscenegraph-dev (>= 3.0.1-4~),
+               pkg-kde-tools
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/libcitygml.git
+Vcs-Git: git://anonscm.debian.org/pkg-grass/libcitygml.git
 Homepage: http://code.google.com/p/libcitygml
-Vcs-Git: git://git.debian.org/pkg-grass/libcitygml.git
-Vcs-Browser: http://git.debian.org/?p=pkg-grass/libcitygml.git
 
 Package: libcitygml0
 Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Multi-Arch: same
 Description: Open source C++ library for parsing CityGML files
  libcitygml is a small and easy to use open source C++ library for parsing 
  CityGML files in such a way that data can be easily exploited by 3D 
@@ -30,11 +35,12 @@
  This package contains share library.
 
 Package: libcitygml0-dev
+Architecture: any
+Multi-Arch: same
 Section: libdevel
-Architecture: any
+Depends: ${misc:Depends},
+         libcitygml0 (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends} ,libcitygml0 (= ${binary:Version})
-Multi-Arch: same
 Description: Static and header files of libcitygml
  libcitygml is a small and easy to use open source C++ library for parsing 
  CityGML files in such a way that data can be easily exploited by 3D 
@@ -50,9 +56,11 @@
  This package contains develop files: static and header files of libcitygml.
 
 Package: libcitygml0-bin
+Architecture: any
 Section: utils
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcitygml0 (= ${binary:Version})
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libcitygml0 (= ${binary:Version})
 Description: Utils of libcitygml - citygml2vrml and citygmltest
  libcitygml is a small and easy to use open source C++ library for parsing 
  CityGML files in such a way that data can be easily exploited by 3D 
@@ -68,10 +76,12 @@
  This package contains citygml2vrml and citygmltest.
 
 Package: openscenegraph-plugin-citygml-shared
+Architecture: any
 Section: devel
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcitygml0 (= ${binary:Version}),
-	 ${libosg-share}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libcitygml0 (= ${binary:Version}),
+         ${libosg-share}
 Description: libcitygml OpenSceneGraph plugin (shared version)
  libcitygml is a small and easy to use open source C++ library for parsing 
  CityGML files in such a way that data can be easily exploited by 3D 
@@ -85,12 +95,14 @@
  is quickly being adopted on an international level.
  .
  This package contains OpenSceneGraph plugin (.so version).
- 
+
 Package: openscenegraph-plugin-citygml-static
+Architecture: any
 Section: devel
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcitygml0 (= ${binary:Version}),
-	 ${libosg-static}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libcitygml0 (= ${binary:Version}),
+         ${libosg-static}
 Description: libcitygml OpenSceneGraph plugin (static version)
  libcitygml is a small and easy to use open source C++ library for parsing 
  CityGML files in such a way that data can be easily exploited by 3D 
@@ -104,3 +116,4 @@
  is quickly being adopted on an international level.
  .
  This package contains OpenSceneGraph plugin (.a version).
+

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,10 @@
 CFLAGS += $(CPPFLAGS)
 CXXFLAGS += $(CPPFLAGS)
 
+CITYGML_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed 's/[\+\~].*//')
+
 %:
-	dh $@ 
+	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -14,6 +16,9 @@
 override_dh_gencontrol:
 	sh debian/gencontrol
 
+override_dh_makeshlibs:
+	dh_makeshlibs -- -c0 -v$(CITYGML_VERSION)
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=3

# official zipfile releases
#
#opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
#https://code.google.com/p/libcitygml/downloads/list?can=1 \
#.*/libcitygml\.(\d[\d\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# subversion revisions
#
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/^\d+$/0.14+svn$&/" \
https://code.google.com/p/libcitygml/source/list \
(?:.*/)?detail\?r=(\d+)
